# airporttiles.h File Reference

Tables with airporttile defaults. More...

Go to the source code of this file.

## Defines
#define | AT(num_frames, anim_speed) {(1 << 8) | num_frames, anim_speed}
| Writes all airport tile properties in the AirportTile struct.
#define | AT_NOANIM {0xFFFF, 2}
| Writes an airport tile without animation in the AirportTile struct.
## Functions
| assert_compile (NUM_AIRPORTTILES==lengthof(_origin_airporttile_specs))
## Variables
static const AirportTileSpec | _origin_airporttile_specs []
| All default airport tiles.

## Detailed Description

Tables with airporttile defaults.

Definition in file airporttiles.h.

## Variable Documentation

const AirportTileSpec _origin_airporttile_specs[]`[static]`

All default airport tiles.

See also:
  AirportTiles for a list of names.

Definition at line 22 of file airporttiles.h.

Referenced by AirportTileSpec::Get().